﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.Windows.Media.Imaging;

namespace FlowDocumentPresentation.Topics.DataBinding
{
    internal class FlowerCollection : ObservableCollection<Flower>
    {


        public FlowerCollection()
        {
            Add(new Flower
            {
                Id = new Guid("DBA736CBFDE846E1941E5644DB442C59"),
                Name = "Akelei",
                Picture = new BitmapImage(new Uri("pack://application:,,/Topics/Databinding/FlowerPictures/Akelei.jpg")),
                Division = "Magnoliophyta",
                Family = "Ranunculaceae",
                Order = "Ranunculales",
                Specie = "Aquilegia grata",
                Genus = "Aquilegia"
            });
            Add(new Flower
            {
                Id = new Guid("18C8A9429F4E4535A274083249937011"),
                Name = "Seerose",
                Picture = new BitmapImage(new Uri("pack://application:,,/Topics/Databinding/FlowerPictures/SeeRose.jpg")),
                Division = "Magnoliophyta",
                Family = "Nymphaeaceae",
                Order = "Nymphaeales",
                Specie = "Black Princess",
                Genus = "Nymphaea"
            });
            Add(new Flower
            {
                Id = new Guid("464587CD9EE54F3A8A5C60344868463F"),
                Name = "Rosa Kletterrose",
                Picture = new BitmapImage(new Uri("pack://application:,,/Topics/Databinding/FlowerPictures/Rose.jpg")),
                Division = "Magnoliophyta",
                Family = "Rosaceae",
                Order = "Rosales",
                Specie = "Rosa XYZ",
                Genus = "Rosa"
            });
            Add(new Flower
            {
                Id = new Guid("4888C2A847EF44D1AD141390F5B95127"),
                Name = "Gemeine Pfingstrose",
                Picture = new BitmapImage(new Uri("pack://application:,,/Topics/Databinding/FlowerPictures/PfingstRose.jpg")),
                Division = "Magnoliophyta",
                Family = "Paeoniaceae",
                Order = "Saxifragales",
                Specie = "Paeonia officinalis",
                Genus = "Paeonia"
            });
            Add(new Flower
            {
                Id = new Guid("BFC84221E41A4BADB9FCEFB5B774EEAF"),
                Name = "Stockrose",
                Picture = new BitmapImage(new Uri("pack://application:,,/Topics/Databinding/FlowerPictures/StockRose.jpg")),
                Division = "Angiosperms",
                Family = "Malvaceae",
                Order = "Malvales",
                Specie = "Alcea rosea",
                Genus = "Alcea"
            });
            Add(new Flower
            {
                Id = new Guid("765C01C1323A40AEA0785F977C481881"),
                Name = "Zucchini",
                Picture = new BitmapImage(new Uri("pack://application:,,/Topics/Databinding/FlowerPictures/Zucchini.jpg")),
                Division = "Cucurbitaceae",
                Family = "Cucurbitaceae",
                Order = "Cucurbitales",
                Specie = "Cucurbita pepo",
                Genus = "Cucurbita"
            });
        }
    }
}
