﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FlowDocumentPresentation.Topics.DataBinding
{
    /// <summary>
    /// Interaction logic for TemplatedToolTip.xaml
    /// </summary>
    public partial class TemplatedToolTip : Page
    {
        TemplatedToolTipViewModel ttTipViewModel = null;
        public TemplatedToolTip()
        {
            InitializeComponent();
            ttTipViewModel = new TemplatedToolTipViewModel();
            this.MainGrid.DataContext = ttTipViewModel;
            this.btnRefresch.Click += new RoutedEventHandler(btnRefresch_Click);
            this.btnLoadExpl_1.Click += new RoutedEventHandler(btnLoadExpl_1_Click);
            this.btnLoadExpl_2.Click += new RoutedEventHandler(btnLoadExpl_2_Click);
        }

        void btnLoadExpl_2_Click(object sender, RoutedEventArgs e)
        {
            this.ttTipViewModel.LoadTemplateExampleWithTable();
        }

        void btnLoadExpl_1_Click(object sender, RoutedEventArgs e)
        {
            this.ttTipViewModel.LoadTemplateExampleSimple();
        }

        void btnRefresch_Click(object sender, RoutedEventArgs e)
        {
            this.ttTipViewModel.RefreshTemplate();
        }
    }
}
